<?php 
require 'connection.php';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Photo Tag</title>
<script src="jquery.min.js" type="text/javascript"></script>
<script type="text/javascript">
//Placed outside .ready for scoping
var targetX, targetY;
<?php 
    // unikatne ID kazdej fotografie
    $photoID = 1;
    // najvyssi docasny counter
    $counter    = mysql_fetch_array(mysql_query("SELECT MAX(tagCounter) FROM tagged WHERE photoID = $photoID"));
    $tagCounter = (int) $counter[0];
    $tagCounter += 1;
?>

var tagCounter = <?php echo $tagCounter ?>;

$(document).ready(function(){
	//Dynamically wrap image
	$("img").wrap('<div id="tag-wrapper"></div>');
	
	//Dynamically size wrapper div based on image dimensions
	$("#tag-wrapper").css({width: $("img").outerWidth(), height: $("img").outerHeight()});
	
	//Append #tag-target content and #tag-input content
	$("#tag-wrapper").append('<div id="tag-target"></div><div id="tag-input"><label for="tag-name">Názov tagu:</label><input type="text" id="tag-name"><button type="submit">Pridať tag</button><button type="reset">Zrušiť</button></div>');
	
	//$("#tag-wrapper").click(function(e){
	$("img").click(function(e){		
		//Determine area within element that mouse was clicked
		mouseX = e.pageX - $("#tag-wrapper").offset().left;
		mouseY = e.pageY - $("#tag-wrapper").offset().top;
		
		//Get height and width of #tag-target
		targetWidth = $("#tag-target").outerWidth();
		targetHeight = $("#tag-target").outerHeight();
		
		//Determine position for #tag-target
		targetX = mouseX-targetWidth/2;
		targetY = mouseY-targetHeight/2;
		
		//Determine position for #tag-input
		inputX = mouseX+targetWidth/2;
		inputY = mouseY-targetHeight/2;
		
		//Animate if second click, else position and fade in for first click
		if($("#tag-target").css("display")=="block")
		{
			$("#tag-target").animate({left: targetX, top: targetY}, 500);
			$("#tag-input").animate({left: inputX, top: inputY}, 500);
		} else {
			$("#tag-target").css({left: targetX, top: targetY}).fadeIn();
			$("#tag-input").css({left: inputX, top: inputY}).fadeIn();
		}
		
		//Give input focus
		$("#tag-name").focus();	
	});
	
	//If cancel button is clicked
	$('button[type="reset"]').click(function(){
		closeTagInput();
	});
	
	//If enter button is clicked within #tag-input
	$("#tag-name").keyup(function(e) {
		if(e.keyCode == 13) submitTag();
	});	
	
	//If submit button is clicked
	$('button[type="submit"]').click(function(){
		submitTag();
	});
    
    
    // nahrani pripadnich ulozenych pozic
    $.get("loadPosition.php", { photoID: <? echo $photoID ?>}, function(data)
            {
               $("#tag-wrapper").append(data);   
            }
    );

}); //$(document).ready

function submitTag()
{
	tagValue = $("#tag-name").val();	
	
	//Adds a new list item below image. Also adds events inline since they are dynamically created after page load
	$("#tag-wrapper").after('<p id="hotspot-item-' + tagCounter + '">' + tagValue + ' <span class="remove" onclick="removeTag(' + tagCounter + ')" onmouseover="showTag(' + tagCounter + ')" onmouseout="hideTag(' + tagCounter + ')">(Remove)</span></p>');
	
	//Adds a new hotspot to image
	$("#tag-wrapper").append('<div id="hotspot-' + tagCounter + '" class="hotspot" style="left:' + targetX + 'px; top:' + targetY + 'px;"><span>' + tagValue + '</span></div>');
	
    
    // ajax
    $.get("ajaxAdd.php", { 
                        photoID: $("#photoID").attr("rel"), 
                        tagValue: tagValue,
                        tagCounter: tagCounter,
                        targetX: targetX,
                        targetY: targetY
                      }
          );
    
	tagCounter++;
	closeTagInput();
}

function closeTagInput()
{
	$("#tag-target").fadeOut();
	$("#tag-input").fadeOut();
	$("#tag-name").val("");
}

function removeTag(i)
{
	$("#hotspot-item-"+i).remove();
	$("#hotspot-"+i).remove();
    
    $.get("del.php", { 
                        photoID: $("#photoID").attr("rel"),
                        tagCounter: i
                      }
          );
}

function showTag(i)
{
	$("#hotspot-"+i).addClass("hotspothover");
}

function hideTag(i)
{
	$("#hotspot-"+i).removeClass("hotspothover");
}
</script>
<link href="style.css" rel="stylesheet" type="text/css">
</head>

<body>
<div id="photoID" rel="<?php echo $photoID ?>"></div>
<img src="Winter.jpg" style="width: 800px; height: 600px;">
<?php 
    // moznost ukazky + zmazanie tagu
    $q = mysql_query("SELECT * FROM tagged WHERE photoID = $photoID");
    if (mysql_num_rows($q))
    {
        while ($r = mysql_fetch_object($q))
        {
            ?>
            <p id="hotspot-item-<? echo $r->tagCounter ?>"><? echo $r->tagValue ?> <span onmouseout="hideTag(<? echo $r->tagCounter ?>)" onmouseover="showTag(<? echo $r->tagCounter ?>)" onclick="removeTag(<? echo $r->tagCounter ?>)" class="remove">(Vymazať)</span></p>
            <?php
        }
    }
?>
</body>
</html>